package cn.stylefeng.workflow.instance.modular.task.taskopt;

import cn.stylefeng.workflow.api.entity.design.Node;
import cn.stylefeng.workflow.api.entity.task.RuTask;
import cn.stylefeng.workflow.instance.modular.task.pojo.operate.AddSignRequest;

import java.util.List;

public interface TaskAddSignService {

    void addSign(AddSignRequest addSignRequest);

    void beforeAddSign(RuTask ruTask, Node nodeInfo, List<Long> addSignUserIdList);

    void afterAddSign(RuTask ruTask, Node nodeInfo, List<Long> addSignUserIdList);

}